PortAudio: pa_linux_alsa.h File Reference

PortAudio 2.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
pa_linux_alsa.h File Reference
Public API definitions for users of PortAudio

ALSA-specific PortAudio API extension header file. More...

`#include "portaudio.h"`

Go to the source code of this file.

## Data Structures
struct | PaAlsaStreamInfo

## Typedefs
typedef struct PaAlsaStreamInfo | PaAlsaStreamInfo

## Functions
void | PaAlsa_InitializeStreamInfo (PaAlsaStreamInfo *info)
void | PaAlsa_EnableRealtimeScheduling (PaStream *s, int enable)
PaError | PaAlsa_GetStreamInputCard (PaStream *s, int *card)
PaError | PaAlsa_GetStreamOutputCard (PaStream *s, int *card)
PaError | PaAlsa_SetNumPeriods (int numPeriods)
PaError | PaAlsa_SetRetriesBusy (int retries)
void | PaAlsa_SetLibraryPathName (const char *pathName)

## Detailed Description

ALSA-specific PortAudio API extension header file.

Definition in file pa_linux_alsa.h.

## Function Documentation

void PaAlsa_EnableRealtimeScheduling | ( | PaStream * | s,
|  | int | enable
| ) |  |

Instruct whether to enable real-time priority when starting the audio thread.

If this is turned on by the stream is started, the audio callback thread will be created with the FIFO scheduling policy, which is suitable for realtime operation.

PaError PaAlsa_GetStreamInputCard | ( | PaStream * | s,
|  | int * | card
| ) |  |

Get the ALSA-lib card index of this stream's input device.

PaError PaAlsa_GetStreamOutputCard | ( | PaStream * | s,
|  | int * | card
| ) |  |

Get the ALSA-lib card index of this stream's output device.

void PaAlsa_InitializeStreamInfo | ( | PaAlsaStreamInfo * | info | ) |

Initialize host API specific structure, call this before setting relevant attributes.

void PaAlsa_SetLibraryPathName | ( | const char * | pathName | ) |

Set the path and name of ALSA library file if PortAudio is configured to load it dynamically (see PA_ALSA_DYNAMIC). This setting will overwrite the default name set by PA_ALSA_PATHNAME define.

Parameters

  pathName | Full path with filename. Only filename can be used, but dlopen() will lookup default searchable directories (/usr/lib;/usr/local/lib) then.

PaError PaAlsa_SetNumPeriods | ( | int | numPeriods | ) |

Set the number of periods (buffer fragments) to configure devices with.

By default the number of periods is 4, this is the lowest number of periods that works well on the author's soundcard.

Parameters

  numPeriods | The number of periods.

PaError PaAlsa_SetRetriesBusy | ( | int | retries | ) |

Set the maximum number of times to retry opening busy device (sleeping for a short interval inbetween).